Properties Methods Events Direct Link

# Class Ext.Element

Package: | Ext
Defined In: | Element.js
Class: | Element
Subclasses: | Layer
Extends: | Object

Represents an Element in the DOM.
Usage:

    var el = Ext.get("my-div");

    // or with getEl
    var el = getEl("my-div");

    // or with a DOM element
    var el = Ext.get(myDivElement);

Using Ext.get() or getEl() instead of calling the constructor directly ensures you get the same object each call instead of constructing a new one.
Animations
Many of the functions for manipulating an element have an optional "animate" parameter. The animate parameter should either be a boolean (true) or an object literal with animation options. Note that the supported Element animation options are a subset of the Ext.Fx animation options specific to Fx effects. The Element animation options are:

    Option    Default   Description
    --------- --------  ---------------------------------------------
    duration  .35       The duration of the animation in seconds
    easing    easeOut   The easing method
    callback  none      A function to execute when the anim completes
    scope     this      The scope (this) of the callback function

Also, the Anim object being used for the animation will be set on your options object as "anim", which allows you to stop or manipulate the animation. Here's an example:

    var el = Ext.get("my-div");

    // no animation
    el.setWidth(100);

    // default animation
    el.setWidth(100, true);

    // animation with some options set
    el.setWidth(100, {
        duration: 1,
        callback: this.foo,
        scope: this
    });

    // using the "anim" property to get the Anim object
    var opt = {
        duration: 1,
        callback: this.foo,
        scope: this
    };
    el.setWidth(100, opt);
    ...
    if(opt.anim.isAnimated()){
        opt.anim.stop();
    }

Composite (Collections of) Elements
For working with collections of Elements, see Ext.CompositeElement

## Public Properties

Property | Defined By
--- | ---
| Element.DISPLAY : Number <static> Visibility mode constant - Use display to hide element | Element
| Element.VISIBILITY : Number <static> Visibility mode constant - Use visibility to hide element | Element
| defaultUnit : String The default unit to append to CSS values where a unit isn't provided (defaults to px). | Element
| dom : HTMLElement The DOM element | Element
| id : String The DOM element ID | Element
| originalDisplay : String The element's default display mode (defaults to "") | Element

## Public Methods

Method | Defined By
--- | ---

Element( `String/HTMLElement element`, [`Boolean forceNew`] )
Create a new Element directly.
Create a new Element directly.
Parameters:

- `element` : String/HTMLElement
- `forceNew` : Boolean
  (optional) By default the constructor checks to see if there is already an instance of this element in the cache and if there is it returns the same instance. This will skip that check (useful for extending this class).

Returns:

- ``

Element

Element.fly( `String/HTMLElement el`, [`String named`] ) : Element
<static> Gets the globally shared flyweight Element, with the passed node as the active element. Do not store a...
<static> Gets the globally shared flyweight Element, with the passed node as the active element. Do not store a reference to this element - the dom node can be overwritten by other code.
Parameters:

- `el` : String/HTMLElement
  The dom node or id
- `named` : String
  (optional) Allows for creation of named reusable flyweights to prevent conflicts (e.g. internally Ext uses "_internal")

Returns:

- `Element`
  The shared Element object (or null if no matching element was found)

Element

Element.get( `Mixed el` ) : Element
<static> Static method to retrieve Element objects. Uses simple caching to consistently return the same object....
<static> Static method to retrieve Element objects. Uses simple caching to consistently return the same object. Automatically fixes if an object was recreated with the same id via AJAX or DOM.
Parameters:

- `el` : Mixed
  The id of the node, a DOM Node or an existing Element.

Returns:

- `Element`
  The Element object (or null if no matching element was found)

Element

addClass( `String/Array className` ) : Ext.Element
Adds one or more CSS classes to the element. Duplicate classes are automatically filtered out.
Adds one or more CSS classes to the element. Duplicate classes are automatically filtered out.
Parameters:

- `className` : String/Array
  The CSS class to add, or an array of classes

Returns:

- `Ext.Element`
  this

Element

addClassOnClick( `String className` ) : Ext.Element
Sets up event handlers to add and remove a css class when the mouse is down and then up on this element (a click effect)
Sets up event handlers to add and remove a css class when the mouse is down and then up on this element (a click effect)
Parameters:

- `className` : String

Returns:

- `Ext.Element`
  this

Element

addClassOnFocus( `String className` ) : Ext.Element
Sets up event handlers to add and remove a css class when this element has the focus
Sets up event handlers to add and remove a css class when this element has the focus
Parameters:

- `className` : String

Returns:

- `Ext.Element`
  this

Element

addClassOnOver( `String className`, [`Boolean preventFlicker`] ) : Ext.Element
Sets up event handlers to add and remove a css class when the mouse is over this element
Sets up event handlers to add and remove a css class when the mouse is over this element
Parameters:

- `className` : String
- `preventFlicker` : Boolean
  (optional) If set to true, it prevents flickering by filtering mouseout events for children elements

Returns:

- `Ext.Element`
  this

Element

addKeyListener( `Number/Array/Object/String key`, `Function fn`, [`Object scope`] ) : Ext.KeyMap
Convenience method for constructing a KeyMap
Convenience method for constructing a KeyMap
Parameters:

- `key` : Number/Array/Object/String
  Either a string with the keys to listen for, the numeric key code, array of key codes or an object with the following options: {key: (number or array), shift: (true/false), ctrl: (true/false), alt: (true/false)}
- `fn` : Function
  The function to call
- `scope` : Object
  (optional) The scope of the function

Returns:

- `Ext.KeyMap`
  The KeyMap created

Element

addKeyMap( `Object config` ) : Ext.KeyMap
Creates a KeyMap for this element
Creates a KeyMap for this element
Parameters:

- `config` : Object
  The KeyMap config. See Ext.KeyMap for more details

Returns:

- `Ext.KeyMap`
  The KeyMap created

Element

addListener( `String eventName`, `Function fn`, [`Object scope`], [`Object options`] ) : void
Appends an event handler to this element. The shorthand version on is equivalent.
Appends an event handler to this element. The shorthand version on is equivalent.
Parameters:

- `eventName` : String
  The type of event to handle
- `fn` : Function
  The handler function the event invokes
- `scope` : Object
  (optional) The scope (this element) of the handler function
- `options` : Object
  (optional) An object containing handler configuration properties. This may contain any of the following properties:
  - scope {Object} : The scope in which to execute the handler function. The handler function's "this" context.
  - delegate {String} : A simple selector to filter the target or look for a descendant of the target
  - stopEvent {Boolean} : True to stop the event. That is stop propagation, and prevent the default action.
  - preventDefault {Boolean} : True to prevent the default action
  - stopPropagation {Boolean} : True to prevent event propagation
  - normalized {Boolean} : False to pass a browser event to the handler function instead of an Ext.EventObject
  - delay {Number} : The number of milliseconds to delay the invocation of the handler after te event fires.
  - single {Boolean} : True to add a handler to handle just the next firing of the event, and then remove itself.
  - buffer {Number} : Causes the handler to be scheduled to run in an Ext.util.DelayedTask delayed by the specified number of milliseconds. If the event fires again within that time, the original handler is not invoked, but the new handler is scheduled in its place.

  Combining Options
  In the following examples, the shorthand form on is used rather than the more verbose addListener. The two are equivalent. Using the options argument, it is possible to combine different types of listeners:
  A normalized, delayed, one-time listener that auto stops the event and passes a custom argument (forumId)

  Code:

      el.on('click', this.onClick, this, {
          single: true,
          delay: 100,
          stopEvent : true,
          forumId: 4
      });

  Attaching multiple handlers in 1 call
  The method also allows for a single argument to be passed which is a config object containing properties which specify multiple handlers.

  Code:

      el.on({
          'click' : {
              fn: this.onClick,
              scope: this,
              delay: 100
          },
          'mouseover' : {
              fn: this.onMouseOver,
              scope: this
          },
          'mouseout' : {
              fn: this.onMouseOut,
              scope: this
          }
      });

  Or a shorthand syntax:
  Code:

      el.on({
          'click' : this.onClick,
          'mouseover' : this.onMouseOver,
          'mouseout' : this.onMouseOut,
          scope: this
      });

Returns:

- `void`

Element

alignTo( `Mixed element`, `String position`, [`Array offsets`], [`Boolean/Object animate`] ) : Ext.Element
Aligns this element with another element relative to the specified anchor points. If the other element is the documen...
Aligns this element with another element relative to the specified anchor points. If the other element is the document it aligns it to the viewport. The position parameter is optional, and can be specified in any one of the following formats:

- Blank: Defaults to aligning the element's top-left corner to the target's bottom-left corner ("tl-bl").
- One anchor (deprecated): The passed anchor position is used as the target element's anchor point. The element being aligned will position its top-left corner (tl) to that point. This method has been deprecated in favor of the newer two anchor syntax below.
- Two anchors: If two values from the table below are passed separated by a dash, the first value is used as the element's anchor point, and the second value is used as the target's anchor point.

In addition to the anchor points, the position parameter also supports the "?" character. If "?" is passed at the end of the position string, the element will attempt to align as specified, but the position will be adjusted to constrain to the viewport if necessary. Note that the element being aligned might be swapped to align to a different position than that specified in order to enforce the viewport constraints. Following are all of the supported anchor positions:

    Value  Description
    -----  -----------------------------
    tl     The top left corner (default)
    t      The center of the top edge
    tr     The top right corner
    l      The center of the left edge
    c      In the center of the element
    r      The center of the right edge
    bl     The bottom left corner
    b      The center of the bottom edge
    br     The bottom right corner

Example Usage:

    // align el to other-el using the default positioning ("tl-bl", non-constrained)
    el.alignTo("other-el");

    // align the top left corner of el with the top right corner of other-el (constrained to viewport)
    el.alignTo("other-el", "tr?");

    // align the bottom right corner of el with the center left edge of other-el
    el.alignTo("other-el", "br-l?");

    // align the center of el with the bottom left corner of other-el and
    // adjust the x position by -6 pixels (and the y position by 0)
    el.alignTo("other-el", "c-bl", [-6, 0]);

Parameters:

- `element` : Mixed
  The element to align to.
- `position` : String
  The position to align to.
- `offsets` : Array
  (optional) Offset the positioning by [x, y]
- `animate` : Boolean/Object
  (optional) true for the default animation or a standard Element animation config object

Returns:

- `Ext.Element`
  this

Element

anchorTo( `Mixed element`, `String position`, [`Array offsets`], [`Boolean/Object animate`], [`Boolean/Number monitorScroll`], `Function callback` ) : Ext.Element
Anchors an element to another element and realigns it when the window is resized.
Anchors an element to another element and realigns it when the window is resized.
Parameters:

- `element` : Mixed
  The element to align to.
- `position` : String
  The position to align to.
- `offsets` : Array
  (optional) Offset the positioning by [x, y]
- `animate` : Boolean/Object
  (optional) True for the default animation or a standard Element animation config object
- `monitorScroll` : Boolean/Number
  (optional) True to monitor body scroll and reposition. If this parameter is a number, it is used as the buffer delay (defaults to 50ms).
- `callback` : Function
  The function to call after the animation finishes

Returns:

- `Ext.Element`
  this

Element

animate( `Object args`, [`Float duration`], [`Function onComplete`], [`String easing`], [`String animType`] ) : Ext.Element
Perform animation on this element.
Perform animation on this element.
Parameters:

- `args` : Object
  The animation control args
- `duration` : Float
  (optional) How long the animation lasts in seconds (defaults to .35)
- `onComplete` : Function
  (optional) Function to call when animation completes
- `easing` : String
  (optional) Easing method to use (defaults to 'easeOut')
- `animType` : String
  (optional) 'run' is the default. Can also be 'color', 'motion', or 'scroll'

Returns:

- `Ext.Element`
  this

Element

appendChild( `String/HTMLElement/Array/Element/CompositeElement el` ) : Ext.Element
Appends the passed element(s) to this element
Appends the passed element(s) to this element
Parameters:

- `el` : String/HTMLElement/Array/Element/CompositeElement

Returns:

- `Ext.Element`
  this

Element

appendTo( `Mixed el` ) : Ext.Element
Appends this element to the passed element
Appends this element to the passed element
Parameters:

- `el` : Mixed
  The new parent element

Returns:

- `Ext.Element`
  this

Element

applyStyles( `String/Object/Function styles` ) : Ext.Element
More flexible version of setStyle for setting style properties.
More flexible version of setStyle for setting style properties.
Parameters:

- `styles` : String/Object/Function
  A style specification string, e.g. "width:100px", or object in the form {width:"100px"}, or a function which returns such a specification.

Returns:

- `Ext.Element`
  this

Element

autoHeight( [`Boolean animate`], [`Float duration`], [`Function onComplete`], [`String easing`] ) : Ext.Element
Measures the element's content height and updates height to match. Note: this function uses setTimeout so the new hei...
Measures the element's content height and updates height to match. Note: this function uses setTimeout so the new height may not be available immediately.
Parameters:

- `animate` : Boolean
  (optional) Animate the transition (defaults to false)
- `duration` : Float
  (optional) Length of the animation in seconds (defaults to .35)
- `onComplete` : Function
  (optional) Function to call when animation completes
- `easing` : String
  (optional) Easing method to use (defaults to easeOut)

Returns:

- `Ext.Element`
  this

Element

blur() : Ext.Element
Tries to blur the element. Any exceptions are caught and ignored.
Tries to blur the element. Any exceptions are caught and ignored.
Parameters:

- None.

Returns:

- `Ext.Element`
  this

Element

boxWrap( [`String class`] ) : Ext.Element
Wraps the specified element with a special markup/CSS block that renders by default as a gray container with a gradie...
Wraps the specified element with a special markup/CSS block that renders by default as a gray container with a gradient background, rounded corners and a 4-way shadow. Example usage:

    // Basic box wrap
    Ext.get("foo").boxWrap();

    // You can also add a custom class and use CSS inheritance rules to customize the box look.
    // 'x-box-blue' is a built-in alternative -- look at the related CSS definitions as an example
    // for how to create a custom box wrap style.
    Ext.get("foo").boxWrap().addClass("x-box-blue");

Parameters:

- `class` : String
  (optional) A base CSS class to apply to the containing wrapper element (defaults to 'x-box'). Note that there are a number of CSS rules that are dependent on this name to make the overall effect work, so if you supply an alternate base class, make sure you also supply all of the necessary rules.

Returns:

- `Ext.Element`
  this

Element

center( [`Mixed centerIn`] ) : void
Centers the Element in either the viewport, or another Element.
Centers the Element in either the viewport, or another Element.
Parameters:

- `centerIn` : Mixed
  (optional) The element in which to center the element.

Returns:

- `void`

Element

child( `String selector`, [`Boolean returnDom`] ) : HTMLElement/Ext.Element
Selects a single child at any depth below this element based on the passed CSS selector (the selector should not cont...
Selects a single child at any depth below this element based on the passed CSS selector (the selector should not contain an id).
Parameters:

- `selector` : String
  The CSS selector
- `returnDom` : Boolean
  (optional) True to return the DOM node instead of Ext.Element (defaults to false)

Returns:

- `HTMLElement/Ext.Element`
  The child Ext.Element (or DOM node if returnDom = true)

Element

clean( [`Boolean forceReclean`] ) : void
Removes worthless text nodes
Removes worthless text nodes
Parameters:

- `forceReclean` : Boolean
  (optional) By default the element keeps track if it has been cleaned already so you can call this over and over. However, if you update the element and need to force a reclean, you can pass true.

Returns:

- `void`

Element

clearOpacity() : Ext.Element
Clears any opacity settings from this element. Required in some cases for IE.
Clears any opacity settings from this element. Required in some cases for IE.
Parameters:

- None.

Returns:

- `Ext.Element`
  this

Element

clearPositioning( [`String value`] ) : Ext.Element
Clear positioning back to the default when the document was loaded
Clear positioning back to the default when the document was loaded
Parameters:

- `value` : String
  (optional) The value to use for the left,right,top,bottom, defaults to '' (empty string). You could use 'auto'.

Returns:

- `Ext.Element`
  this

Element

clip() : Ext.Element
Store the current overflow setting and clip overflow on the element - use unclip to remove
Store the current overflow setting and clip overflow on the element - use unclip to remove
Parameters:

- None.

Returns:

- `Ext.Element`
  this

Element

contains( `HTMLElement/String el` ) : Boolean
Returns true if this element is an ancestor of the passed element
Returns true if this element is an ancestor of the passed element
Parameters:

- `el` : HTMLElement/String
  The element to check

Returns:

- `Boolean`
  True if this element is an ancestor of el, else false

Element

createChild( `Object config`, [`HTMLElement insertBefore`], [`Boolean returnDom`] ) : Ext.Element
Creates the passed DomHelper config and appends it to this element or optionally inserts it before the passed child e...
Creates the passed DomHelper config and appends it to this element or optionally inserts it before the passed child element.
Parameters:

- `config` : Object
  DomHelper element config object. If no tag is specified (e.g., {tag:'input'}) then a div will be automatically generated with the specified attributes.
- `insertBefore` : HTMLElement
  (optional) a child element of this element
- `returnDom` : Boolean
  (optional) true to return the dom node instead of creating an Element

Returns:

- `Ext.Element`
  The new child element

Element

createProxy( `String/Object config`, [`String/HTMLElement renderTo`], [`Boolean matchBox`] ) : Ext.Element
Creates a proxy element of this element
Creates a proxy element of this element
Parameters:

- `config` : String/Object
  The class name of the proxy element or a DomHelper config object
- `renderTo` : String/HTMLElement
  (optional) The element or element id to render the proxy to (defaults to document.body)
- `matchBox` : Boolean
  (optional) True to align and size the proxy to this element now (defaults to false)

Returns:

- `Ext.Element`
  The new proxy element

Element

createShim() : Ext.Element
Creates an iframe shim for this element to keep selects and other windowed objects from showing through.
Creates an iframe shim for this element to keep selects and other windowed objects from showing through.
Parameters:

- None.

Returns:

- `Ext.Element`
  The new shim element

Element

down( `String selector`, [`Boolean returnDom`] ) : HTMLElement/Ext.Element
Selects a single *direct* child based on the passed CSS selector (the selector should not contain an id).
Selects a single *direct* child based on the passed CSS selector (the selector should not contain an id).
Parameters:

- `selector` : String
  The CSS selector
- `returnDom` : Boolean
  (optional) True to return the DOM node instead of Ext.Element (defaults to false)

Returns:

- `HTMLElement/Ext.Element`
  The child Ext.Element (or DOM node if returnDom = true)

Element

enableDisplayMode( [`String display`] ) : Ext.Element
Convenience method for setVisibilityMode(Element.DISPLAY)
Convenience method for setVisibilityMode(Element.DISPLAY)
Parameters:

- `display` : String
  (optional) What to set display to when visible

Returns:

- `Ext.Element`
  this

Element

findParent( `String selector`, [`Number/Mixed maxDepth`], [`Boolean returnEl`] ) : HTMLElement
Looks at this node and then at parent nodes for a match of the passed simple selector (e.g. div.some-class or span:fi...
Looks at this node and then at parent nodes for a match of the passed simple selector (e.g. div.some-class or span:first-child)
Parameters:

- `selector` : String
  The simple selector to test
- `maxDepth` : Number/Mixed
  (optional) The max depth to search as a number or element (defaults to 10 || document.body)
- `returnEl` : Boolean
  (optional) True to return a Ext.Element object instead of DOM node

Returns:

- `HTMLElement`
  The matching DOM node (or null if no match was found)

Element

findParentNode( `String selector`, [`Number/Mixed maxDepth`], [`Boolean returnEl`] ) : HTMLElement
Looks at parent nodes for a match of the passed simple selector (e.g. div.some-class or span:first-child)
Looks at parent nodes for a match of the passed simple selector (e.g. div.some-class or span:first-child)
Parameters:

- `selector` : String
  The simple selector to test
- `maxDepth` : Number/Mixed
  (optional) The max depth to search as a number or element (defaults to 10 || document.body)
- `returnEl` : Boolean
  (optional) True to return a Ext.Element object instead of DOM node

Returns:

- `HTMLElement`
  The matching DOM node (or null if no match was found)

Element

first( [`String selector`], [`Boolean returnDom`] ) : Ext.Element/HTMLElement
Gets the first child, skipping text nodes
Gets the first child, skipping text nodes
Parameters:

- `selector` : String
  (optional) Find the next sibling that matches the passed simple selector
- `returnDom` : Boolean
  (optional) True to return a raw dom node instead of an Ext.Element

Returns:

- `Ext.Element/HTMLElement`
  The first child or null

Element

focus() : Ext.Element
Tries to focus the element. Any exceptions are caught and ignored.
Tries to focus the element. Any exceptions are caught and ignored.
Parameters:

- None.

Returns:

- `Ext.Element`
  this

Element

getAlignToXY( `Mixed element`, `String position`, [`Array offsets`] ) : Array
Gets the x,y coordinates to align this element with another element. See alignTo for more info on the supported posit...
Gets the x,y coordinates to align this element with another element. See alignTo for more info on the supported position values.
Parameters:

- `element` : Mixed
  The element to align to.
- `position` : String
  The position to align to.
- `offsets` : Array
  (optional) Offset the positioning by [x, y]

Returns:

- `Array`
  [x, y]

Element

getAnchorXY( [`String anchor`], [`Boolean local`], [`Object size`] ) : Array
Gets the x,y coordinates specified by the anchor position on the element.
Gets the x,y coordinates specified by the anchor position on the element.
Parameters:

- `anchor` : String
  (optional) The specified anchor position (defaults to "c"). See alignTo for details on supported anchor positions.
- `local` : Boolean
  (optional) True to get the local (element top/left-relative) anchor position instead of page coordinates
- `size` : Object
  (optional) An object containing the size to use for calculating anchor position {width: (target width), height: (target height)} (defaults to the element's current size)

Returns:

- `Array`
  [x, y] An array containing the element's x and y coordinates

Element

getAttributeNS( `String namespace`, `String name` ) : String
Returns the value of a namespaced attribute from the element's underlying DOM node.
Returns the value of a namespaced attribute from the element's underlying DOM node.
Parameters:

- `namespace` : String
  The namespace in which to look for the attribute
- `name` : String
  The attribute name

Returns:

- `String`
  The attribute value

Element

getBorderWidth( `String side` ) : Number
Gets the width of the border(s) for the specified side(s)
Gets the width of the border(s) for the specified side(s)
Parameters:

- `side` : String
  Can be t, l, r, b or any combination of those to add multiple values. For example, passing lr would get the border (l)eft width + the border (r)ight width.

Returns:

- `Number`
  The width of the sides passed added together

Element

getBottom( `Boolean local` ) : Number
Gets the bottom Y coordinate of the element (element Y position + element height)
Gets the bottom Y coordinate of the element (element Y position + element height)
Parameters:

- `local` : Boolean
  True to get the local css position instead of page coordinate

Returns:

- `Number`

Element

getBox( [`Boolean contentBox`], [`Boolean local`] ) : Object
Return a box {x, y, width, height} that can be used to set another elements size/location to match this element.
Return a box {x, y, width, height} that can be used to set another elements size/location to match this element.
Parameters:

- `contentBox` : Boolean
  (optional) If true a box for the content of the element is returned.
- `local` : Boolean
  (optional) If true the element's left and top are returned instead of page x/y.

Returns:

- `Object`
  box An object in the format {x, y, width, height}

Element

getCenterXY() : Array
Calculates the x, y to center this element on the screen
Calculates the x, y to center this element on the screen
Parameters:

- None.

Returns:

- `Array`
  The x, y values [x, y]

Element

getColor( `String attr`, `String defaultValue`, [`String prefix`] ) : void
Return the CSS color for the specified CSS attribute. rgb, 3 digit (like #fff) and valid values are convert to standa...
Return the CSS color for the specified CSS attribute. rgb, 3 digit (like #fff) and valid values are convert to standard 6 digit hex color.
Parameters:

- `attr` : String
  The css attribute
- `defaultValue` : String
  The default value to use when a valid color isn't found
- `prefix` : String
  (optional) defaults to #. Use an empty string when working with color anims.

Returns:

- `void`

Element

getComputedHeight() : Number
Returns either the offsetHeight or the height of this element based on CSS height adjusted by padding or borders when...
Returns either the offsetHeight or the height of this element based on CSS height adjusted by padding or borders when needed to simulate offsetHeight when offsets aren't available. This may not work on display:none elements if a height has not been set using CSS.
Parameters:

- None.

Returns:

- `Number`

Element

getComputedWidth() : Number
Returns either the offsetWidth or the width of this element based on CSS width adjusted by padding or borders when ne...
Returns either the offsetWidth or the width of this element based on CSS width adjusted by padding or borders when needed to simulate offsetWidth when offsets aren't available. This may not work on display:none elements if a width has not been set using CSS.
Parameters:

- None.

Returns:

- `Number`

Element

getFrameWidth( `String sides` ) : Number
Returns the sum width of the padding and borders for the passed "sides". See getBorderWidth() for more informat...
Returns the sum width of the padding and borders for the passed "sides". See getBorderWidth() for more information about the sides.
Parameters:

- `sides` : String

Returns:

- `Number`

Element

getHeight( [`Boolean contentHeight`] ) : Number
Returns the offset height of the element
Returns the offset height of the element
Parameters:

- `contentHeight` : Boolean
  (optional) true to get the height minus borders and padding

Returns:

- `Number`
  The element's height

Element

getLeft( `Boolean local` ) : Number
Gets the left X coordinate
Gets the left X coordinate
Parameters:

- `local` : Boolean
  True to get the local css position instead of page coordinate

Returns:

- `Number`

Element

getMargins( [`String sides`] ) : Object/Number
Returns an object with properties top, left, right and bottom representing the margins of this element unless sides i...
Returns an object with properties top, left, right and bottom representing the margins of this element unless sides is passed, then it returns the calculated width of the sides (see getPadding)
Parameters:

- `sides` : String
  (optional) Any combination of l, r, t, b to get the sum of those sides

Returns:

- `Object/Number`

Element

getOffsetsTo( `Mixed element` ) : Array
Returns the offsets of this element from the passed element. Both element must be part of the DOM tree and not have d...
Returns the offsets of this element from the passed element. Both element must be part of the DOM tree and not have display:none to have page coordinates.
Parameters:

- `element` : Mixed
  The element to get the offsets from.

Returns:

- `Array`
  The XY page offsets (e.g. [100, -200])

Element

getPadding( `String side` ) : Number
Gets the width of the padding(s) for the specified side(s)
Gets the width of the padding(s) for the specified side(s)
Parameters:

- `side` : String
  Can be t, l, r, b or any combination of those to add multiple values. For example, passing lr would get the padding (l)eft + the padding (r)ight.

Returns:

- `Number`
  The padding of the sides passed added together

Element

getPositioning() : Object
Gets an object with all CSS positioning properties. Useful along with setPostioning to get snapshot before performing...
Gets an object with all CSS positioning properties. Useful along with setPostioning to get snapshot before performing an update and then restoring the element.
Parameters:

- None.

Returns:

- `Object`

Element

getRegion() : Region
Returns the region of the given element. The element must be part of the DOM tree to have a region (display:none or e...
Returns the region of the given element. The element must be part of the DOM tree to have a region (display:none or elements not appended return false).
Parameters:

- None.

Returns:

- `Region`
  A Ext.lib.Region containing "top, left, bottom, right" member data.

Element

getRight( `Boolean local` ) : Number
Gets the right X coordinate of the element (element X position + element width)
Gets the right X coordinate of the element (element X position + element width)
Parameters:

- `local` : Boolean
  True to get the local css position instead of page coordinate

Returns:

- `Number`

Element

getScroll() : Object
Returns the current scroll position of the element.
Returns the current scroll position of the element.
Parameters:

- None.

Returns:

- `Object`
  An object containing the scroll position in the format {left: (scrollLeft), top: (scrollTop)}

Element

getSize( [`Boolean contentSize`] ) : Object
Returns the size of the element.
Returns the size of the element.
Parameters:

- `contentSize` : Boolean
  (optional) true to get the width/size minus borders and padding

Returns:

- `Object`
  An object containing the element's size {width: (element width), height: (element height)}

Element

getStyle( `String property` ) : String
Normalizes currentStyle and computedStyle.
Normalizes currentStyle and computedStyle.
Parameters:

- `property` : String
  The style property whose value is returned.

Returns:

- `String`
  The current value of the style property for this element.

Element

getStyles( `String style1`, `String style2`, `String etc.` ) : Object
Returns an object with properties matching the styles requested. For example, el.getStyles('color', 'font-size', 'wid...
Returns an object with properties matching the styles requested. For example, el.getStyles('color', 'font-size', 'width') might return {'color': '#FFFFFF', 'font-size': '13px', 'width': '100px'}.
Parameters:

- `style1` : String
  A style name
- `style2` : String
  A style name
- `etc.` : String

Returns:

- `Object`
  The style object

Element

getTop( `Boolean local` ) : Number
Gets the top Y coordinate
Gets the top Y coordinate
Parameters:

- `local` : Boolean
  True to get the local css position instead of page coordinate

Returns:

- `Number`

Element

getUpdater() : Ext.Updater
Gets this element's Updater
Gets this element's Updater
Parameters:

- None.

Returns:

- `Ext.Updater`
  The Updater

Element

getValue( `Boolean asNumber` ) : String/Number
Returns the value of the "value" attribute
Returns the value of the "value" attribute
Parameters:

- `asNumber` : Boolean
  true to parse the value as a number

Returns:

- `String/Number`

Element

getViewSize() : Object
Returns the width and height of the viewport.
Returns the width and height of the viewport.
Parameters:

- None.

Returns:

- `Object`
  An object containing the viewport's size {width: (viewport width), height: (viewport height)}

Element

getWidth( [`Boolean contentWidth`] ) : Number
Returns the offset width of the element
Returns the offset width of the element
Parameters:

- `contentWidth` : Boolean
  (optional) true to get the width minus borders and padding

Returns:

- `Number`
  The element's width

Element

getX() : Number
Gets the current X position of the element based on page coordinates. Element must be part of the DOM tree to have p...
Gets the current X position of the element based on page coordinates. Element must be part of the DOM tree to have page coordinates (display:none or elements not appended return false).
Parameters:

- None.

Returns:

- `Number`
  The X position of the element

Element

getXY() : Array
Gets the current position of the element based on page coordinates. Element must be part of the DOM tree to have pag...
Gets the current position of the element based on page coordinates. Element must be part of the DOM tree to have page coordinates (display:none or elements not appended return false).
Parameters:

- None.

Returns:

- `Array`
  The XY position of the element

Element

getY() : Number
Gets the current Y position of the element based on page coordinates. Element must be part of the DOM tree to have p...
Gets the current Y position of the element based on page coordinates. Element must be part of the DOM tree to have page coordinates (display:none or elements not appended return false).
Parameters:

- None.

Returns:

- `Number`
  The Y position of the element

Element

hasClass( `String className` ) : Boolean
Checks if the specified CSS class exists on this element's DOM node.
Checks if the specified CSS class exists on this element's DOM node.
Parameters:

- `className` : String
  The CSS class to check for

Returns:

- `Boolean`
  True if the class exists, else false

Element

hide( [`Boolean/Object animate`] ) : Ext.Element
Hide this element - Uses display mode to determine whether to use "display" or "visibility". See setVisible.
Hide this element - Uses display mode to determine whether to use "display" or "visibility". See setVisible.
Parameters:

- `animate` : Boolean/Object
  (optional) true for the default animation or a standard Element animation config object

Returns:

- `Ext.Element`
  this

Element

hover( `Function overFn`, `Function outFn`, [`Object scope`] ) : Ext.Element
Sets up event handlers to call the passed functions when the mouse is over this element. Automatically filters child ...
Sets up event handlers to call the passed functions when the mouse is over this element. Automatically filters child element mouse events.
Parameters:

- `overFn` : Function
- `outFn` : Function
- `scope` : Object
  (optional)

Returns:

- `Ext.Element`
  this

Element

initDD( `String group`, `Object config`, `Object overrides` ) : Ext.dd.DD
Initializes a Ext.dd.DD drag drop object for this element.
Initializes a Ext.dd.DD drag drop object for this element.
Parameters:

- `group` : String
  The group the DD object is member of
- `config` : Object
  The DD config object
- `overrides` : Object
  An object containing methods to override/implement on the DD object

Returns:

- `Ext.dd.DD`
  The DD object

Element

initDDProxy( `String group`, `Object config`, `Object overrides` ) : Ext.dd.DDProxy
Initializes a Ext.dd.DDProxy object for this element.
Initializes a Ext.dd.DDProxy object for this element.
Parameters:

- `group` : String
  The group the DDProxy object is member of
- `config` : Object
  The DDProxy config object
- `overrides` : Object
  An object containing methods to override/implement on the DDProxy object

Returns:

- `Ext.dd.DDProxy`
  The DDProxy object

Element

initDDTarget( `String group`, `Object config`, `Object overrides` ) : Ext.dd.DDTarget
Initializes a Ext.dd.DDTarget object for this element.
Initializes a Ext.dd.DDTarget object for this element.
Parameters:

- `group` : String
  The group the DDTarget object is member of
- `config` : Object
  The DDTarget config object
- `overrides` : Object
  An object containing methods to override/implement on the DDTarget object

Returns:

- `Ext.dd.DDTarget`
  The DDTarget object

Element

insertAfter( `Mixed el` ) : Ext.Element
Inserts this element after the passed element in the DOM
Inserts this element after the passed element in the DOM
Parameters:

- `el` : Mixed
  The element to insert after

Returns:

- `Ext.Element`
  this

Element

insertBefore( `Mixed el` ) : Ext.Element
Inserts this element before the passed element in the DOM
Inserts this element before the passed element in the DOM
Parameters:

- `el` : Mixed
  The element to insert before

Returns:

- `Ext.Element`
  this

Element

insertFirst( `Mixed/Object el` ) : Ext.Element
Inserts (or creates) an element (or DomHelper config) as the first child of the this element
Inserts (or creates) an element (or DomHelper config) as the first child of the this element
Parameters:

- `el` : Mixed/Object
  The id or element to insert or a DomHelper config to create and insert

Returns:

- `Ext.Element`
  The new child

Element

insertHtml( `String where`, `String html`, `Boolean returnEl` ) : HTMLElement/Ext.Element
Inserts an html fragment into this element
Inserts an html fragment into this element
Parameters:

- `where` : String
  Where to insert the html in relation to the this element - beforeBegin, afterBegin, beforeEnd, afterEnd.
- `html` : String
  The HTML fragment
- `returnEl` : Boolean
  True to return an Ext.Element

Returns:

- `HTMLElement/Ext.Element`
  The inserted node (or nearest related if more than 1 inserted)

Element

insertSibling( `Mixed/Object/Array el`, [`String where`], [`Boolean returnDom`] ) : Ext.Element
Inserts (or creates) the passed element (or DomHelper config) as a sibling of this element
Inserts (or creates) the passed element (or DomHelper config) as a sibling of this element
Parameters:

- `el` : Mixed/Object/Array
  The id, element to insert or a DomHelper config to create and insert *or* an array of any of those.
- `where` : String
  (optional) 'before' or 'after' defaults to before
- `returnDom` : Boolean
  (optional) True to return the raw DOM element instead of Ext.Element

Returns:

- `Ext.Element`
  the inserted Element

Element

is( `String selector` ) : Boolean
Returns true if this element matches the passed simple selector (e.g. div.some-class or span:first-child)
Returns true if this element matches the passed simple selector (e.g. div.some-class or span:first-child)
Parameters:

- `selector` : String
  The simple selector to test

Returns:

- `Boolean`
  True if this element matches the selector, else false

Element

isBorderBox() : Boolean
Tests various css rules/browsers to determine if this element uses a border box
Tests various css rules/browsers to determine if this element uses a border box
Parameters:

- None.

Returns:

- `Boolean`

Element

isDisplayed() : Boolean
Returns true if display is not "none"
Returns true if display is not "none"
Parameters:

- None.

Returns:

- `Boolean`

Element

isMasked() : Boolean
Returns true if this element is masked
Returns true if this element is masked
Parameters:

- None.

Returns:

- `Boolean`

Element

isScrollable() : Boolean
Returns true if this element is scrollable.
Returns true if this element is scrollable.
Parameters:

- None.

Returns:

- `Boolean`

Element

isVisible( [`Boolean deep`] ) : Boolean
Checks whether the element is currently visible using both visibility and display properties.
Checks whether the element is currently visible using both visibility and display properties.
Parameters:

- `deep` : Boolean
  (optional) True to walk the dom and see if parent elements are hidden (defaults to false)

Returns:

- `Boolean`
  True if the element is currently visible, else false

Element

last( [`String selector`], [`Boolean returnDom`] ) : Ext.Element/HTMLElement
Gets the last child, skipping text nodes
Gets the last child, skipping text nodes
Parameters:

- `selector` : String
  (optional) Find the previous sibling that matches the passed simple selector
- `returnDom` : Boolean
  (optional) True to return a raw dom node instead of an Ext.Element

Returns:

- `Ext.Element/HTMLElement`
  The last child or null

Element

load( `String/Function url`, [`String/Object params`], [`Function callback`], [`Boolean discardUrl`] ) : Ext.Element
Direct access to the Updater Ext.Updater.update method (takes the same parameters).
Direct access to the Updater Ext.Updater.update method (takes the same parameters).
Parameters:

- `url` : String/Function
  The url for this request or a function to call to get the url
- `params` : String/Object
  (optional) The parameters to pass as either a url encoded string "param1=1&param2=2" or an object {param1: 1, param2: 2}
- `callback` : Function
  (optional) Callback when transaction is complete - called with signature (oElement, bSuccess)
- `discardUrl` : Boolean
  (optional) By default when you execute an update the defaultUrl is changed to the last used url. If true, it will not store the url.

Returns:

- `Ext.Element`
  this

Element

mask( [`String msg`], [`String msgCls`] ) : Element
Puts a mask over this element to disable user interaction. Requires core.css. This method can only be applied to elem...
Puts a mask over this element to disable user interaction. Requires core.css. This method can only be applied to elements which accept child nodes.
Parameters:

- `msg` : String
  (optional) A message to display in the mask
- `msgCls` : String
  (optional) A css class to apply to the msg element

Returns:

- `Element`
  The mask element

Element

move( `String direction`, `Number distance`, [`Boolean/Object animate`] ) : Ext.Element
Move this element relative to its current position.
Move this element relative to its current position.
Parameters:

- `direction` : String
  Possible values are: "l","left" - "r","right" - "t","top","up" - "b","bottom","down".
- `distance` : Number
  How far to move the element in pixels
- `animate` : Boolean/Object
  (optional) true for the default animation or a standard Element animation config object

Returns:

- `Ext.Element`
  this

Element

moveTo( `Number x`, `Number y`, [`Boolean/Object animate`] ) : Ext.Element
Sets the position of the element in page coordinates, regardless of how the element is positioned. The element must b...
Sets the position of the element in page coordinates, regardless of how the element is positioned. The element must be part of the DOM tree to have page coordinates (display:none or elements not appended return false).
Parameters:

- `x` : Number
  X value for new position (coordinates are page-based)
- `y` : Number
  Y value for new position (coordinates are page-based)
- `animate` : Boolean/Object
  (optional) True for the default animation, or a standard Element animation config object

Returns:

- `Ext.Element`
  this

Element

next( [`String selector`], [`Boolean returnDom`] ) : Ext.Element/HTMLElement
Gets the next sibling, skipping text nodes
Gets the next sibling, skipping text nodes
Parameters:

- `selector` : String
  (optional) Find the next sibling that matches the passed simple selector
- `returnDom` : Boolean
  (optional) True to return a raw dom node instead of an Ext.Element

Returns:

- `Ext.Element/HTMLElement`
  The next sibling or null

Element

on( `String eventName`, `Function fn`, [`Object scope`], [`Object options`] ) : void
Appends an event handler (shorthand for addListener).
Appends an event handler (shorthand for addListener).
Parameters:

- `eventName` : String
  The type of event to handle
- `fn` : Function
  The handler function the event invokes
- `scope` : Object
  (optional) The scope (this element) of the handler function
- `options` : Object
  (optional) An object containing standard addListener options

Returns:

- `void`

Element

parent( [`String selector`], [`Boolean returnDom`] ) : Ext.Element/HTMLElement
Gets the parent node for this element, optionally chaining up trying to match a selector
Gets the parent node for this element, optionally chaining up trying to match a selector
Parameters:

- `selector` : String
  (optional) Find a parent node that matches the passed simple selector
- `returnDom` : Boolean
  (optional) True to return a raw dom node instead of an Ext.Element

Returns:

- `Ext.Element/HTMLElement`
  The parent node or null

Element

position( [`String pos`], [`Number zIndex`], [`Number x`], [`Number y`] ) : void
Initializes positioning on this element. If a desired position is not passed, it will make the the element positioned...
Initializes positioning on this element. If a desired position is not passed, it will make the the element positioned relative IF it is not already positioned.
Parameters:

- `pos` : String
  (optional) Positioning to use "relative", "absolute" or "fixed"
- `zIndex` : Number
  (optional) The zIndex to apply
- `x` : Number
  (optional) Set the page X position
- `y` : Number
  (optional) Set the page Y position

Returns:

- `void`

Element

prev( [`String selector`], [`Boolean returnDom`] ) : Ext.Element/HTMLElement
Gets the previous sibling, skipping text nodes
Gets the previous sibling, skipping text nodes
Parameters:

- `selector` : String
  (optional) Find the previous sibling that matches the passed simple selector
- `returnDom` : Boolean
  (optional) True to return a raw dom node instead of an Ext.Element

Returns:

- `Ext.Element/HTMLElement`
  The previous sibling or null

Element

query( `String selector` ) : Array
Selects child nodes based on the passed CSS selector (the selector should not contain an id).
Selects child nodes based on the passed CSS selector (the selector should not contain an id).
Parameters:

- `selector` : String
  The CSS selector

Returns:

- `Array`
  An array of the matched nodes

Element

radioClass( `String/Array className` ) : Ext.Element
Adds one or more CSS classes to this element and removes the same class(es) from all siblings.
Adds one or more CSS classes to this element and removes the same class(es) from all siblings.
Parameters:

- `className` : String/Array
  The CSS class to add, or an array of classes

Returns:

- `Ext.Element`
  this

Element

relayEvent( `String eventName`, `Object object` ) : void
Create an event handler on this element such that when the event fires and is handled by this element, it will be rel...
Create an event handler on this element such that when the event fires and is handled by this element, it will be relayed to another object (i.e., fired again as if it originated from that object instead).
Parameters:

- `eventName` : String
  The type of event to relay
- `object` : Object
  Any object that extends Ext.util.Observable that will provide the context for firing the relayed event

Returns:

- `void`

Element

remove() : void
Removes this element from the DOM and deletes it from the cache
Removes this element from the DOM and deletes it from the cache
Parameters:

- None.

Returns:

- `void`

Element

removeAllListeners() : Ext.Element
Removes all previous added listeners from this element
Removes all previous added listeners from this element
Parameters:

- None.

Returns:

- `Ext.Element`
  this

Element

removeClass( `String/Array className` ) : Ext.Element
Removes one or more CSS classes from the element.
Removes one or more CSS classes from the element.
Parameters:

- `className` : String/Array
  The CSS class to remove, or an array of classes

Returns:

- `Ext.Element`
  this

Element

removeListener( `String eventName`, `Function fn` ) : Ext.Element
Removes an event handler from this element. The shorthand version un is equivalent. Example: el.removeListener('cli...
Removes an event handler from this element. The shorthand version un is equivalent. Example:

    el.removeListener('click', this.handlerFn);
    // or
    el.un('click', this.handlerFn);

Parameters:

- `eventName` : String
  the type of event to remove
- `fn` : Function
  the method the event invokes

Returns:

- `Ext.Element`
  this

Element

repaint() : Ext.Element
Forces the browser to repaint this element
Forces the browser to repaint this element
Parameters:

- None.

Returns:

- `Ext.Element`
  this

Element

replace( `Mixed el` ) : Ext.Element
Replaces the passed element with this element
Replaces the passed element with this element
Parameters:

- `el` : Mixed
  The element to replace

Returns:

- `Ext.Element`
  this

Element

replaceClass( `String oldClassName`, `String newClassName` ) : Ext.Element
Replaces a CSS class on the element with another. If the old name does not exist, the new name will simply be added.
Replaces a CSS class on the element with another. If the old name does not exist, the new name will simply be added.
Parameters:

- `oldClassName` : String
  The CSS class to replace
- `newClassName` : String
  The replacement CSS class

Returns:

- `Ext.Element`
  this

Element

replaceWith( `Mixed/Object el` ) : Ext.Element
Replaces this element with the passed element
Replaces this element with the passed element
Parameters:

- `el` : Mixed/Object
  The new element or a DomHelper config of an element to create

Returns:

- `Ext.Element`
  this

Element

scroll( `String direction`, `Number distance`, [`Boolean/Object animate`] ) : Boolean
Scrolls this element the specified direction. Does bounds checking to make sure the scroll is within this element's s...
Scrolls this element the specified direction. Does bounds checking to make sure the scroll is within this element's scrollable range.
Parameters:

- `direction` : String
  Possible values are: "l","left" - "r","right" - "t","top","up" - "b","bottom","down".
- `distance` : Number
  How far to scroll the element in pixels
- `animate` : Boolean/Object
  (optional) true for the default animation or a standard Element animation config object

Returns:

- `Boolean`
  Returns true if a scroll was triggered or false if the element was scrolled as far as it could go.

Element

scrollIntoView( [`Mixed container`], [`Boolean hscroll`] ) : Ext.Element
Scrolls this element into view within the passed container.
Scrolls this element into view within the passed container.
Parameters:

- `container` : Mixed
  (optional) The container element to scroll (defaults to document.body)
- `hscroll` : Boolean
  (optional) False to disable horizontal scroll (defaults to true)

Returns:

- `Ext.Element`
  this

Element

scrollTo( `String side`, `Number value`, [`Boolean/Object animate`] ) : Element
Scrolls this element the specified scroll point. It does NOT do bounds checking so if you scroll to a weird value it ...
Scrolls this element the specified scroll point. It does NOT do bounds checking so if you scroll to a weird value it will try to do it. For auto bounds checking, use scroll().
Parameters:

- `side` : String
  Either "left" for scrollLeft values or "top" for scrollTop values.
- `value` : Number
  The new scroll value
- `animate` : Boolean/Object
  (optional) true for the default animation or a standard Element animation config object

Returns:

- `Element`
  this

Element

select( `String selector`, [`Boolean unique`] ) : CompositeElement/CompositeElementLite
Creates a Ext.CompositeElement for child nodes based on the passed CSS selector (the selector should not contain an id).
Creates a Ext.CompositeElement for child nodes based on the passed CSS selector (the selector should not contain an id).
Parameters:

- `selector` : String
  The CSS selector
- `unique` : Boolean
  (optional) True to create a unique Ext.Element for each child (defaults to false, which creates a single shared flyweight object)

Returns:

- `CompositeElement/CompositeElementLite`
  The composite element

Element

set( `Object o`, [`Boolean useSet`] ) : Ext.Element
Sets the passed attributes as attributes of this element (a style attribute can be a string, object or function)
Sets the passed attributes as attributes of this element (a style attribute can be a string, object or function)
Parameters:

- `o` : Object
  The object with the attributes
- `useSet` : Boolean
  (optional) false to override the default setAttribute to use expandos.

Returns:

- `Ext.Element`
  this

Element

setBottom( `String bottom` ) : Ext.Element
Sets the element's CSS bottom style.
Sets the element's CSS bottom style.
Parameters:

- `bottom` : String
  The bottom CSS property value

Returns:

- `Ext.Element`
  this

Element

setBounds( `Number x`, `Number y`, `Number width`, `Number height`, [`Boolean/Object animate`] ) : Ext.Element
Sets the element's position and size in one shot. If animation is true then width, height, x and y will be animated c...
Sets the element's position and size in one shot. If animation is true then width, height, x and y will be animated concurrently.
Parameters:

- `x` : Number
  X value for new position (coordinates are page-based)
- `y` : Number
  Y value for new position (coordinates are page-based)
- `width` : Number
  The new width
- `height` : Number
  The new height
- `animate` : Boolean/Object
  (optional) true for the default animation or a standard Element animation config object

Returns:

- `Ext.Element`
  this

Element

setBox( `Object box`, [`Boolean adjust`], [`Boolean/Object animate`] ) : Ext.Element
Sets the element's box. Use getBox() on another element to get a box obj. If animate is true then width, height, x an...
Sets the element's box. Use getBox() on another element to get a box obj. If animate is true then width, height, x and y will be animated concurrently.
Parameters:

- `box` : Object
  The box to fill {x, y, width, height}
- `adjust` : Boolean
  (optional) Whether to adjust for box-model issues automatically
- `animate` : Boolean/Object
  (optional) true for the default animation or a standard Element animation config object

Returns:

- `Ext.Element`
  this

Element

setDisplayed( `Mixed value` ) : Ext.Element
Sets the CSS display property. Uses originalDisplay if the specified value is a boolean true.
Sets the CSS display property. Uses originalDisplay if the specified value is a boolean true.
Parameters:

- `value` : Mixed
  Boolean value to display the element using its default display, or a string to set the display directly.

Returns:

- `Ext.Element`
  this

Element

setHeight( `Number height`, [`Boolean/Object animate`] ) : Ext.Element
Set the height of the element
Set the height of the element
Parameters:

- `height` : Number
  The new height
- `animate` : Boolean/Object
  (optional) true for the default animation or a standard Element animation config object

Returns:

- `Ext.Element`
  this

Element

setLeft( `String left` ) : Ext.Element
Sets the element's left position directly using CSS style (instead of setX).
Sets the element's left position directly using CSS style (instead of setX).
Parameters:

- `left` : String
  The left CSS property value

Returns:

- `Ext.Element`
  this

Element

setLeftTop( `String left`, `String top` ) : Ext.Element
Quick set left and top adding default units
Quick set left and top adding default units
Parameters:

- `left` : String
  The left CSS property value
- `top` : String
  The top CSS property value

Returns:

- `Ext.Element`
  this

Element

setLocation( `Number x`, `Number y`, [`Boolean/Object animate`] ) : Ext.Element
Sets the position of the element in page coordinates, regardless of how the element is positioned. The element must b...
Sets the position of the element in page coordinates, regardless of how the element is positioned. The element must be part of the DOM tree to have page coordinates (display:none or elements not appended return false).
Parameters:

- `x` : Number
  X value for new position (coordinates are page-based)
- `y` : Number
  Y value for new position (coordinates are page-based)
- `animate` : Boolean/Object
  (optional) True for the default animation, or a standard Element animation config object

Returns:

- `Ext.Element`
  this

Element

setOpacity( `Float opacity`, [`Boolean/Object animate`] ) : Ext.Element
Set the opacity of the element
Set the opacity of the element
Parameters:

- `opacity` : Float
  The new opacity. 0 = transparent, .5 = 50% visibile, 1 = fully visible, etc
- `animate` : Boolean/Object
  (optional) true for the default animation or a standard Element animation config object

Returns:

- `Ext.Element`
  this

Element

setPositioning( `Object posCfg` ) : Ext.Element
Set positioning with an object returned by getPositioning().
Set positioning with an object returned by getPositioning().
Parameters:

- `posCfg` : Object

Returns:

- `Ext.Element`
  this

Element

setRegion( `Ext.lib.Region region`, [`Boolean/Object animate`] ) : Ext.Element
Sets the element's position and size the the specified region. If animation is true then width, height, x and y will ...
Sets the element's position and size the the specified region. If animation is true then width, height, x and y will be animated concurrently.
Parameters:

- `region` : Ext.lib.Region
  The region to fill
- `animate` : Boolean/Object
  (optional) true for the default animation or a standard Element animation config object

Returns:

- `Ext.Element`
  this

Element

setRight( `String right` ) : Ext.Element
Sets the element's CSS right style.
Sets the element's CSS right style.
Parameters:

- `right` : String
  The right CSS property value

Returns:

- `Ext.Element`
  this

Element

setSize( `Number width`, `Number height`, [`Boolean/Object animate`] ) : Ext.Element
Set the size of the element. If animation is true, both width an height will be animated concurrently.
Set the size of the element. If animation is true, both width an height will be animated concurrently.
Parameters:

- `width` : Number
  The new width
- `height` : Number
  The new height
- `animate` : Boolean/Object
  (optional) true for the default animation or a standard Element animation config object

Returns:

- `Ext.Element`
  this

Element

setStyle( `String/Object property`, [`String value`] ) : Ext.Element
Wrapper for setting style properties, also takes single object parameter of multiple styles.
Wrapper for setting style properties, also takes single object parameter of multiple styles.
Parameters:

- `property` : String/Object
  The style property to be set, or an object of multiple styles.
- `value` : String
  (optional) The value to apply to the given property, or null if an object was passed.

Returns:

- `Ext.Element`
  this

Element

setTop( `String top` ) : Ext.Element
Sets the element's top position directly using CSS style (instead of setY).
Sets the element's top position directly using CSS style (instead of setY).
Parameters:

- `top` : String
  The top CSS property value

Returns:

- `Ext.Element`
  this

Element

setVisibilityMode( `visMode Element.VISIBILITY` ) : Ext.Element
Sets the element's visibility mode. When setVisible() is called it will use this to determine whether to set the visi...
Sets the element's visibility mode. When setVisible() is called it will use this to determine whether to set the visibility or the display property.
Parameters:

- `Element.VISIBILITY` : visMode
  or Element.DISPLAY

Returns:

- `Ext.Element`
  this

Element

setVisible( `Boolean visible`, [`Boolean/Object animate`] ) : Ext.Element
Sets the visibility of the element (see details). If the visibilityMode is set to Element.DISPLAY, it will use the di...
Sets the visibility of the element (see details). If the visibilityMode is set to Element.DISPLAY, it will use the display property to hide the element, otherwise it uses visibility. The default is to hide and show using the visibility property.
Parameters:

- `visible` : Boolean
  Whether the element is visible
- `animate` : Boolean/Object
  (optional) True for the default animation, or a standard Element animation config object

Returns:

- `Ext.Element`
  this

Element

setWidth( `Number width`, [`Boolean/Object animate`] ) : Ext.Element
Set the width of the element
Set the width of the element
Parameters:

- `width` : Number
  The new width
- `animate` : Boolean/Object
  (optional) true for the default animation or a standard Element animation config object

Returns:

- `Ext.Element`
  this

Element

setX( `Number The`, [`Boolean/Object animate`] ) : Ext.Element
Sets the X position of the element based on page coordinates. Element must be part of the DOM tree to have page coor...
Sets the X position of the element based on page coordinates. Element must be part of the DOM tree to have page coordinates (display:none or elements not appended return false).
Parameters:

- `The` : Number
  X position of the element
- `animate` : Boolean/Object
  (optional) True for the default animation, or a standard Element animation config object

Returns:

- `Ext.Element`
  this

Element

setXY( `Array pos`, [`Boolean/Object animate`] ) : Ext.Element
Sets the position of the element in page coordinates, regardless of how the element is positioned. The element must b...
Sets the position of the element in page coordinates, regardless of how the element is positioned. The element must be part of the DOM tree to have page coordinates (display:none or elements not appended return false).
Parameters:

- `pos` : Array
  Contains X & Y [x, y] values for new position (coordinates are page-based)
- `animate` : Boolean/Object
  (optional) True for the default animation, or a standard Element animation config object

Returns:

- `Ext.Element`
  this

Element

setY( `Number The`, [`Boolean/Object animate`] ) : Ext.Element
Sets the Y position of the element based on page coordinates. Element must be part of the DOM tree to have page coor...
Sets the Y position of the element based on page coordinates. Element must be part of the DOM tree to have page coordinates (display:none or elements not appended return false).
Parameters:

- `The` : Number
  Y position of the element
- `animate` : Boolean/Object
  (optional) True for the default animation, or a standard Element animation config object

Returns:

- `Ext.Element`
  this

Element

show( [`Boolean/Object animate`] ) : Ext.Element
Show this element - Uses display mode to determine whether to use "display" or "visibility". See setVisible.
Show this element - Uses display mode to determine whether to use "display" or "visibility". See setVisible.
Parameters:

- `animate` : Boolean/Object
  (optional) true for the default animation or a standard Element animation config object

Returns:

- `Ext.Element`
  this

Element

swallowEvent( `String eventName`, [`Boolean preventDefault`] ) : Ext.Element
Stops the specified event from bubbling and optionally prevents the default action
Stops the specified event from bubbling and optionally prevents the default action
Parameters:

- `eventName` : String
- `preventDefault` : Boolean
  (optional) true to prevent the default action too

Returns:

- `Ext.Element`
  this

Element

toggle( [`Boolean/Object animate`] ) : Ext.Element
Toggles the element's visibility or display, depending on visibility mode.
Toggles the element's visibility or display, depending on visibility mode.
Parameters:

- `animate` : Boolean/Object
  (optional) True for the default animation, or a standard Element animation config object

Returns:

- `Ext.Element`
  this

Element

toggleClass( `String className` ) : Ext.Element
Toggles the specified CSS class on this element (removes it if it already exists, otherwise adds it).
Toggles the specified CSS class on this element (removes it if it already exists, otherwise adds it).
Parameters:

- `className` : String
  The CSS class to toggle

Returns:

- `Ext.Element`
  this

Element

translatePoints( `Number/Array x`, `Number y` ) : Object
Translates the passed page coordinates into left/top css values for this element
Translates the passed page coordinates into left/top css values for this element
Parameters:

- `x` : Number/Array
  The page x or an array containing [x, y]
- `y` : Number
  The page y

Returns:

- `Object`
  An object with left and top properties. e.g. {left: (value), top: (value)}

Element

un( `String eventName`, `Function fn` ) : Ext.Element
Removes an event handler from this element (shorthand for removeListener).
Removes an event handler from this element (shorthand for removeListener).
Parameters:

- `eventName` : String
  the type of event to remove
- `fn` : Function
  the method the event invokes

Returns:

- `Ext.Element`
  this

Element

unclip() : Ext.Element
Return clipping (overflow) to original clipping before clip() was called
Return clipping (overflow) to original clipping before clip() was called
Parameters:

- None.

Returns:

- `Ext.Element`
  this

Element

unmask() : void
Removes a previously applied mask.
Removes a previously applied mask.
Parameters:

- None.

Returns:

- `void`

Element

unselectable() : Ext.Element
Disables text selection for this element (normalized across browsers)
Disables text selection for this element (normalized across browsers)
Parameters:

- None.

Returns:

- `Ext.Element`
  this

Element

up( `String selector`, [`Number/Mixed maxDepth`] ) : Ext.Element
Walks up the dom looking for a parent node that matches the passed simple selector (e.g. div.some-class or span:first...
Walks up the dom looking for a parent node that matches the passed simple selector (e.g. div.some-class or span:first-child). This is a shortcut for findParentNode() that always returns an Ext.Element.
Parameters:

- `selector` : String
  The simple selector to test
- `maxDepth` : Number/Mixed
  (optional) The max depth to search as a number or element (defaults to 10 || document.body)

Returns:

- `Ext.Element`
  The matching DOM node (or null if no match was found)

Element

update( `String html`, [`Boolean loadScripts`], [`Function callback`] ) : Ext.Element
Update the innerHTML of this element, optionally searching for and processing scripts
Update the innerHTML of this element, optionally searching for and processing scripts
Parameters:

- `html` : String
  The new HTML
- `loadScripts` : Boolean
  (optional) True to look for and process scripts (defaults to false)
- `callback` : Function
  (optional) For async script loading you can be notified when the update completes

Returns:

- `Ext.Element`
  this

Element

wrap( [`Object config`], [`Boolean returnDom`] ) : HTMLElement/Element
Creates and wraps this element with another element
Creates and wraps this element with another element
Parameters:

- `config` : Object
  (optional) DomHelper element config object for the wrapper element or null for an empty div
- `returnDom` : Boolean
  (optional) True to return the raw DOM element instead of Ext.Element

Returns:

- `HTMLElement/Element`
  The newly created wrapper element

Element

## Public Events

This class has no public events.